<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  session_start();

  if (!defined('BASEDIR')) {
    include_once '..' . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'constants.php';
  }






    
  if (SEARCHENGINE_FUNCTIONS === true && !TYPO3_CMS_USED && !RequestOperations::isAjax()) { 
    ob_start();
  }

  $datamenu = new DataMenuAussenstelle(new URLParameterAussenstelle());
  $tmpurlparam = new URLParameterBrowse();

  $datamenu->printmodus = $tmpurlparam->printmodus;

  $datamenuindex = new DataMenuIndex(new URLParameterBasis());
  $datamenuindex->initializecompletesight();
  $datamenuindex->getsight(0); 

  $datamenuindex->showheader();

  if (SEARCHENGINE_FUNCTIONS === true && !TYPO3_CMS_USED) {
    $datamenu->content();
    $buffer = ob_get_contents();
    ob_end_clean();
    echo SeoApi::rewriteLinks($buffer);
  } else {
    $datamenu->content();
  }

  $datamenuindex->showfooter();